######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title CellTrails
#' 
#' @description
#' Will generate a trajectory using
#' [CellTrails](https://doi.org/10.1016/j.celrep.2018.05.002).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_celltrails).
#' The original code of this method is available
#' [here](https://github.com/dcellwanger/CellTrails).
#' 
#' @references Ellwanger, D.C., Scheibinger, M., Dumont, R.A., Barr-Gillespie,
#' P.G., Heller, S., 2018. Transcriptional Dynamics of Hair-Bundle Morphogenesis
#' Revealed with CellTrails. Cell Reports 23, 2901–2914.e13.
#' 
#' @param filter_features Whether to include celltrails feature filtering.
#' Default: FALSE. Format: logical.
#' @param threshold_dl Minimum number of samples; if value < 1 it is interpreted
#' as fraction, otherwise as absolute sample count. Domain: U(0, 100). Default: 2.
#' Format: integer.
#' @param threshold_cov Minimum coefficient of variation; numeric value between 0
#' and 1. Domain: U(0, 1). Default: 0.05. Format: numeric.
#' @param threshold_ff A Z-score cutoff. Domain: U(0, 5). Default: 1.7. Format:
#' numeric.
#' @param min_expr Minimum average feature expression. Domain: U(0, 2). Default:
#' 0. Format: numeric.
#' @param frac Fraction or number (if frac > 1) of eigengaps used to perform
#' linear fit. Domain: e^U(0.00, 6.91). Default: 100. Format: numeric.
#' @param min_size The initial cluster dedrogram is cut at an height such that the
#' minimum cluster size is at least min_size; if min_size < 1 than the fraction of
#' total samples is used, otherwise it is used as absoulte count. Domain:
#' e^U(-6.91, 0.00). Default: 0.01. Format: numeric.
#' @param min_feat Minimum number of differentially expressed features between
#' siblings. If this number is not reached, two neighboring clusters (siblings) in
#' the pruned dendrogram get joined. Domain: U(1, 100). Default: 5. Format:
#' integer.
#' @param max_pval Maximum P-value for differential expression computation.
#' Domain: e^U(-16.12, 0.00). Default: 1e-04. Format: numeric.
#' @param min_fc Mimimum fold-change for differential expression computation.
#' Domain: U(0, 5). Default: 2. Format: numeric.
#' @param l Neighborhood size. Domain: U(1, 50). Default: 10. Format: integer.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_celltrails <- function(
    filter_features = FALSE,
    threshold_dl = 2L,
    threshold_cov = 0.05,
    threshold_ff = 1.7,
    min_expr = 0L,
    frac = 100L,
    min_size = 0.01,
    min_feat = 5L,
    max_pval = 1e-04,
    min_fc = 2L,
    l = 10L
) {
  create_ti_method_container(container_id = "dynverse/ti_celltrails:v0.9.9.01")(
    filter_features = filter_features,
    threshold_dl = threshold_dl,
    threshold_cov = threshold_cov,
    threshold_ff = threshold_ff,
    min_expr = min_expr,
    frac = frac,
    min_size = min_size,
    min_feat = min_feat,
    max_pval = max_pval,
    min_fc = min_fc,
    l = l
  )
}

