######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title DPT
#' 
#' @description
#' Will generate a trajectory using [DPT](https://doi.org/10.1038/nmeth.3971).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_dpt).
#' The original code of this method is available
#' [here](https://bioconductor.org/packages/release/bioc/html/destiny.html).
#' 
#' @references Haghverdi, L., Büttner, M., Wolf, F.A., Buettner, F., Theis, F.J.,
#' 2016. Diffusion pseudotime robustly reconstructs lineage branching. Nature
#' Methods 13, 845–848.
#' 
#' @param sigma Diffusion scale parameter of the Gaussian kernel. A larger sigma
#' might be necessary if the eigenvalues can not be found because of a singularity
#' in the matrix. Must a character vector -- `"local"` (default) or `"global"`.
#' Domain: {local, global}. Default: local. Format: character.
#' @param distance A character vector specifying which distance metric to use.
#' Allowed measures are the Euclidean distance (default), the cosine distance
#' (`1-corr(c_1, c_2)`), or the rank correlation distance (`1-corr(rank(c_1),
#' rank(c_2))`). Domain: {euclidean, cosine, rankcor}. Default: euclidean. Format:
#' character.
#' @param ndim Number of eigenvectors/dimensions to return. Domain: U(3, 100).
#' Default: 20. Format: integer.
#' @param density_norm Logical. If TRUE, use density normalisation. Default: TRUE.
#' Format: logical.
#' @param n_local If sigma == 'local', the `n_local` nearest neighbor(s)
#' determine(s) the local sigma. Domain: ( U(2, 20), U(2, 20) ). Default: (5, 7).
#' Format: integer_range.
#' @param w_width Window width to use for deciding the branch cutoff. Domain:
#' e^U(-9.21, 0.00). Default: 0.1. Format: numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_dpt <- function(
    sigma = "local",
    distance = "euclidean",
    ndim = 20L,
    density_norm = TRUE,
    n_local = c(5L, 7L),
    w_width = 0.1
) {
  create_ti_method_container(container_id = "dynverse/ti_dpt:v0.9.9.01")(
    sigma = sigma,
    distance = distance,
    ndim = ndim,
    density_norm = density_norm,
    n_local = n_local,
    w_width = w_width
  )
}

