######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title ElPiGraph
#' 
#' @description
#' Will generate a trajectory using
#' [ElPiGraph](https://github.com/Albluca/ElPiGraph.R).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_elpigraph).
#' The original code of this method is available
#' [here](https://github.com/Albluca/ElPiGraph.R).
#' 
#' 
#' 
#' @param topology The kind of topology to detect. Domain: {cycle, tree, linear}.
#' Default: tree. Format: character.
#' @param NumNodes The number of nodes of the principal graph. Domain: U(2, 1000).
#' Default: 50. Format: integer.
#' @param NumEdges The maximum number of edges. Domain: e^U(0.69, 11.51). Default:
#' 100000. Format: integer.
#' @param InitNodes Number of points to include in the initial graph. Domain:
#' e^U(0.69, 6.91). Default: 2. Format: integer.
#' @param Mu Controls the elastic energy. Domain: e^U(-6.91, 0.00). Default: 0.1.
#' Format: numeric.
#' @param Lambda Controls the elastic energy. Domain: e^U(-6.91, 0.00). Default:
#' 0.01. Format: numeric.
#' @param MaxNumberOfIterations Maximum number of steps to embed the nodes.
#' Domain: e^U(0.00, 6.91). Default: 10. Format: integer.
#' @param eps Minimal relative change in the position of the nodes to stop
#' embedment. Domain: e^U(-6.91, 0.00). Default: 0.01. Format: numeric.
#' @param CenterData Should data and initial node positions be centered?. Default:
#' FALSE. Format: logical.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_elpigraph <- function(
    topology = "tree",
    NumNodes = 50L,
    NumEdges = 100000L,
    InitNodes = 2L,
    Mu = 0.1,
    Lambda = 0.01,
    MaxNumberOfIterations = 10L,
    eps = 0.01,
    CenterData = FALSE
) {
  create_ti_method_container(container_id = "dynverse/ti_elpigraph:v0.9.9.01")(
    topology = topology,
    NumNodes = NumNodes,
    NumEdges = NumEdges,
    InitNodes = InitNodes,
    Mu = Mu,
    Lambda = Lambda,
    MaxNumberOfIterations = MaxNumberOfIterations,
    eps = eps,
    CenterData = CenterData
  )
}

