######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title FORKS
#' 
#' @description
#' Will generate a trajectory using [FORKS](https://doi.org/10.1101/132811).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_forks).
#' The original code of this method is available
#' [here](https://github.com/macsharma/FORKS).
#' 
#' @references Sharma, M., Li, H., Sengupta, D., Prabhakar, S., Jayadeva, J.,
#' 2017. FORKS: Finding Orderings Robustly using K-means and Steiner trees.
#' 
#' @param norm_function No description provided by the author. Domain: {mean,
#' median, quantile}. Default: median. Format: character.
#' @param norm_quantile No description provided by the author. Domain: U(0, 100).
#' Default: 75. Format: numeric.
#' @param cum_sum_exp_var No description provided by the author. Domain: U(0, 1).
#' Default: 0.9. Format: numeric.
#' @param cluster No description provided by the author. Domain: ( U(3, 20), U(3,
#' 20) ). Default: (4, 10). Format: integer_range.
#' @param mapping_type No description provided by the author. Domain: {Isomap,
#' MDS, PCA, RandomForest, SpectralEmbedding, LLE_standard, tSNE}. Default:
#' Isomap. Format: character.
#' @param initialization No description provided by the author. Domain: {kmeans,
#' kmedoids, random}. Default: kmeans. Format: character.
#' @param iterMax No description provided by the author. Domain: e^U(4.61, 11.51).
#' Default: 1000. Format: integer.
#' @param eta No description provided by the author. Domain: e^U(-9.21, 4.61).
#' Default: 0.01. Format: numeric.
#' @param C No description provided by the author. Domain: e^U(-9.21, 6.91).
#' Default: 1. Format: numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_forks <- function(
    norm_function = "median",
    norm_quantile = 75L,
    cum_sum_exp_var = 0.9,
    cluster = c(4L, 10L),
    mapping_type = "Isomap",
    initialization = "kmeans",
    iterMax = 1000L,
    eta = 0.01,
    C = 1L
) {
  create_ti_method_container(container_id = "dynverse/ti_forks:v0.9.9.01")(
    norm_function = norm_function,
    norm_quantile = norm_quantile,
    cum_sum_exp_var = cum_sum_exp_var,
    cluster = cluster,
    mapping_type = mapping_type,
    initialization = initialization,
    iterMax = iterMax,
    eta = eta,
    C = C
  )
}

