######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title GNG
#' 
#' @description
#' Will generate a trajectory using [GNG](https://github.com/rcannood/gng).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_gng).
#' The original code of this method is available
#' [here](https://github.com/rcannood/gng).
#' 
#' 
#' 
#' @param dimred Which dimensionality reduction method to use. Domain: {pca, mds,
#' tsne, ica, lle, landmark_mds, mds_sammon, mds_isomds, mds_smacof, umap,
#' dm_diffusionMap}. Default: landmark_mds. Format: character.
#' @param ndim The number of dimensions. Domain: U(2, 10). Default: 5. Format:
#' integer.
#' @param max_iter The max number of iterations. Domain: e^U(3.22, 13.82).
#' Default: 15000. Format: numeric.
#' @param max_nodes The maximum number of nodes. Domain: U(2, 30). Default: 8.
#' Format: integer.
#' @param apply_mst If true, an MST post-processing of the GNG is performed.
#' Default: TRUE. Format: logical.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_gng <- function(
    dimred = "landmark_mds",
    ndim = 5L,
    max_iter = 15000L,
    max_nodes = 8L,
    apply_mst = TRUE
) {
  create_ti_method_container(container_id = "dynverse/ti_gng:v0.9.9.01")(
    dimred = dimred,
    ndim = ndim,
    max_iter = max_iter,
    max_nodes = max_nodes,
    apply_mst = apply_mst
  )
}

