######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title GPfates
#' 
#' @description
#' Will generate a trajectory using
#' [GPfates](https://doi.org/10.1126/sciimmunol.aal2192).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_gpfates).
#' The original code of this method is available
#' [here](https://github.com/Teichlab/GPfates).
#' 
#' @references Lönnberg, T., Svensson, V., James, K.R., Fernandez-Ruiz, D.,
#' Sebina, I., Montandon, R., Soon, M.S.F., Fogg, L.G., Nair, A.S., Liligeto,
#' U.N., Stubbington, M.J.T., Ly, L.-H., Bagger, F.O., Zwiessele, M., Lawrence,
#' N.D., Souza-Fonseca-Guimaraes, F., Bunn, P.T., Engwerda, C.R., Heath, W.R.,
#' Billker, O., Stegle, O., Haque, A., Teichmann, S.A., 2017. Single-cell RNA-seq
#' and computational analysis using temporal mixture modeling resolves TH1/TFHfate
#' bifurcation in malaria. Science Immunology 2, eaal2192.
#' 
#' @param log_expression_cutoff The log expression cutoff. Domain: U(0.5, 5).
#' Default: 0.5. Format: numeric.
#' @param min_cells_expression_cutoff The min expression cutoff. Domain: U(0, 20).
#' Default: 0. Format: numeric.
#' @param ndim Number of dimensions for dimensionality reduction. Domain: U(1, 5).
#' Default: 2. Format: integer.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_gpfates <- function(
    log_expression_cutoff = 0.5,
    min_cells_expression_cutoff = 0L,
    ndim = 2L
) {
  create_ti_method_container(container_id = "dynverse/ti_gpfates:v0.9.9.01")(
    log_expression_cutoff = log_expression_cutoff,
    min_cells_expression_cutoff = min_cells_expression_cutoff,
    ndim = ndim
  )
}

