######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title GrandPrix
#' 
#' @description
#' Will generate a trajectory using [GrandPrix](https://doi.org/10.1101/227843).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_grandprix).
#' The original code of this method is available
#' [here](https://github.com/ManchesterBioinference/GrandPrix).
#' 
#' @references Ahmed, S., Rattray, M., Boukouvalas, A., 2017. GrandPrix: Scaling
#' up the Bayesian GPLVM for single-cell data.
#' 
#' @param n_inducing_points . Domain: U(0, 1). Default: 40. Format: integer.
#' @param latent_prior_var . Domain: U(0, 1). Default: 0.1. Format: numeric.
#' @param latent_var . Domain: U(0, 1). Default: 0.028. Format: numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_grandprix <- function(
    n_inducing_points = 40L,
    latent_prior_var = 0.1,
    latent_var = 0.028
) {
  create_ti_method_container(container_id = "dynverse/ti_grandprix:v0.9.9.01")(
    n_inducing_points = n_inducing_points,
    latent_prior_var = latent_prior_var,
    latent_var = latent_var
  )
}

