######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title MATCHER
#' 
#' @description
#' Will generate a trajectory using
#' [MATCHER](https://doi.org/10.1186/s13059-017-1269-0).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_matcher).
#' The original code of this method is available
#' [here](https://github.com/jw156605/MATCHER).
#' 
#' @references Welch, J.D., Hartemink, A.J., Prins, J.F., 2017. MATCHER: manifold
#' alignment reveals correspondence between single cell transcriptome and
#' epigenome dynamics. Genome Biology 18.
#' 
#' @param quantiles Quantiles How many quantiles to use when computing warp
#' functions (integer). Domain: U(2, 500). Default: 50. Format: integer.
#' @param method Gaussian process regression or linear interpolation? ("gp" or
#' "linear). Domain: {gp, linear}. Default: linear. Format: character.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_matcher <- function(
    quantiles = 50L,
    method = "linear"
) {
  create_ti_method_container(container_id = "dynverse/ti_matcher:v0.9.9.01")(
    quantiles = quantiles,
    method = method
  )
}

