######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title Monocle DDRTree
#' 
#' @description
#' Will generate a trajectory using [Monocle
#' DDRTree](https://doi.org/10.1038/nmeth.4402).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_monocle_ddrtree).
#' The original code of this method is available
#' [here](https://github.com/cole-trapnell-lab/monocle-release).
#' 
#' @references Qiu, X., Mao, Q., Tang, Y., Wang, L., Chawla, R., Pliner, H.A.,
#' Trapnell, C., 2017. Reversed graph embedding resolves complex single-cell
#' trajectories. Nature Methods 14, 979–982.
#' 
#' @param reduction_method A character string specifying the algorithm to use for
#' dimensionality reduction. Domain: {DDRTree}. Default: DDRTree. Format:
#' character.
#' @param max_components The dimensionality of the reduced space. Domain: U(2,
#' 20). Default: 2. Format: integer.
#' @param norm_method Determines how to transform expression values prior to
#' reducing dimensionality. Domain: {vstExprs, log, none}. Default: log. Format:
#' character.
#' @param auto_param_selection When this argument is set to TRUE (default), it
#' will automatically calculate the proper value for the ncenter (number of
#' centroids) parameters which will be passed into DDRTree call. Default: TRUE.
#' Format: logical.
#' @param filter_features Whether to include monocle feature filtering. Default:
#' TRUE. Format: logical.
#' @param filter_features_mean_expression Minimal mean feature expression, only
#' used when `filter_features` is set to TRUE. Domain: U(0, 10). Default: 0.1.
#' Format: numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_monocle_ddrtree <- function(
    reduction_method = "DDRTree",
    max_components = 2L,
    norm_method = "log",
    auto_param_selection = TRUE,
    filter_features = TRUE,
    filter_features_mean_expression = 0.1
) {
  create_ti_method_container(container_id = "dynverse/ti_monocle_ddrtree:v0.9.9.02")(
    reduction_method = reduction_method,
    max_components = max_components,
    norm_method = norm_method,
    auto_param_selection = auto_param_selection,
    filter_features = filter_features,
    filter_features_mean_expression = filter_features_mean_expression
  )
}

