######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title ouija
#' 
#' @description
#' Will generate a trajectory using [ouija](https://doi.org/10.1101/060442).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_ouija).
#' The original code of this method is available
#' [here](https://github.com/kieranrcampbell/ouija).
#' 
#' @references Campbell, K.R., Yau, C., 2016. A descriptive marker gene approach
#' to single-cell pseudotime inference.
#' 
#' @param iter Number of iterations. Domain: e^U(2.30, 6.91). Default: 100.
#' Format: numeric.
#' @param response_type A vector declaring whether each gene exhibits "switch" or
#' "transient"expression. Defaults to "switch" for all genes. Domain: {switch,
#' transient}. Default: switch. Format: character.
#' @param inference_type The type of inference to be performed, either `hmc` for
#' HamiltonianMonte Carlo or `vb` for ADVI (Variational Bayes). Note that HMC is
#' typically more accuratebut VB will be orders of magnitude faster. Domain: {hmc,
#' vb}. Default: hmc. Format: character.
#' @param normalise_expression Logical, default TRUE. If TRUE the data is
#' pre-normalisedso the average peak expression is approximately 1. This makes the
#' strength parametersapproximately comparable between genes. Default: TRUE.
#' Format: logical.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_ouija <- function(
    iter = 100L,
    response_type = "switch",
    inference_type = "hmc",
    normalise_expression = TRUE
) {
  create_ti_method_container(container_id = "dynverse/ti_ouija:v0.9.9.01")(
    iter = iter,
    response_type = response_type,
    inference_type = inference_type,
    normalise_expression = normalise_expression
  )
}

