######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title Projected TSCAN
#' 
#' @description
#' Will generate a trajectory using [Projected
#' TSCAN](https://github.com/zji90/TSCAN).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_projected_tscan).
#' The original code of this method is available
#' [here](https://github.com/zji90/TSCAN).
#' 
#' 
#' 
#' @param minexpr_percent . Domain: U(0, 1). Default: 0. Format: numeric.
#' @param minexpr_value . Domain: U(0, 10). Default: 0. Format: numeric.
#' @param cvcutoff . Domain: U(0, 5). Default: 0. Format: numeric.
#' @param clusternum . Domain: ( U(2, 20), U(2, 20) ). Default: (2, 9). Format:
#' integer_range.
#' @param modelNames . Domain: {EII, VII, EEI, VEI, EVI, VVI, EEE, EVE, VEE, VVE,
#' EEV, VEV, EVV, VVV}. Default: VVV. Format: character.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_projected_tscan <- function(
    minexpr_percent = 0L,
    minexpr_value = 0L,
    cvcutoff = 0L,
    clusternum = c(2L, 9L),
    modelNames = "VVV"
) {
  create_ti_method_container(container_id = "dynverse/ti_projected_tscan:v0.9.9.01")(
    minexpr_percent = minexpr_percent,
    minexpr_value = minexpr_value,
    cvcutoff = cvcutoff,
    clusternum = clusternum,
    modelNames = modelNames
  )
}

