######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title SCIMITAR
#' 
#' @description
#' Will generate a trajectory using
#' [SCIMITAR](https://doi.org/10.1142/9789813207813_0053).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_scimitar).
#' The original code of this method is available
#' [here](https://github.com/dimenwarper/scimitar).
#' 
#' @references CORDERO, P., STUART, J.M., 2016. TRACING CO-REGULATORY NETWORK
#' DYNAMICS IN NOISY, SINGLE-CELL TRANSCRIPTOME TRAJECTORIES. Biocomputing 2017.
#' 
#' @param covariance_type . Domain: {diag, spherical, full}. Default: diag.
#' Format: character.
#' @param degree . Domain: U(1, 20). Default: 3. Format: integer.
#' @param step_size . Domain: e^U(-4.61, -2.30). Default: 0.07. Format: numeric.
#' @param cov_estimator . Domain: {identity, diag, sample, global, glasso,
#' average}. Default: identity. Format: character.
#' @param cov_reg . Domain: e^U(-4.61, -2.30). Default: 0.05. Format: numeric.
#' @param max_iter . Domain: U(1, 20). Default: 3. Format: integer.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_scimitar <- function(
    covariance_type = "diag",
    degree = 3L,
    step_size = 0.07,
    cov_estimator = "identity",
    cov_reg = 0.05,
    max_iter = 3L
) {
  create_ti_method_container(container_id = "dynverse/ti_scimitar:v0.9.9.01")(
    covariance_type = covariance_type,
    degree = degree,
    step_size = step_size,
    cov_estimator = cov_estimator,
    cov_reg = cov_reg,
    max_iter = max_iter
  )
}

