######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title SCOUP
#' 
#' @description
#' Will generate a trajectory using
#' [SCOUP](https://doi.org/10.1186/s12859-016-1109-3).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_scoup).
#' The original code of this method is available
#' [here](https://github.com/hmatsu1226/SCOUP).
#' 
#' @references Matsumoto, H., Kiryu, H., 2016. SCOUP: a probabilistic model based
#' on the Ornstein–Uhlenbeck process to analyze single-cell expression data during
#' differentiation. BMC Bioinformatics 17.
#' 
#' @param ndim Number of pca dimensions. Domain: U(2, 20). Default: 2. Format:
#' integer.
#' @param max_ite1 Upper bound of EM iteration (without pseudo-time optimization).
#' Domain: e^U(0.69, 8.52). Default: 100. Format: integer.
#' @param max_ite2 Upper bound of EM iteration (including pseudo-time
#' optimization). Domain: e^U(0.69, 13.12). Default: 100. Format: integer.
#' @param alpha Bounds of alpha. Domain: ( e^U(-6.91, 2.30), e^U(-6.91, 2.30) ).
#' Default: (0.1, 100). Format: numeric_range.
#' @param t Bounds of pseudo-time. Domain: ( e^U(-11.51, 0.00), e^U(-11.51, 0.00)
#' ). Default: (0.001, 2). Format: numeric_range.
#' @param sigma_squared Lower bound of sigma squared. Domain: e^U(-6.91, 2.30).
#' Default: 0.1. Format: numeric.
#' @param thresh Threshold. Domain: e^U(-4.61, 2.30). Default: 0.01. Format:
#' numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_scoup <- function(
    ndim = 2L,
    max_ite1 = 100L,
    max_ite2 = 100L,
    alpha = c(0.1, 100),
    t = c(0.001, 2),
    sigma_squared = 0.1,
    thresh = 0.01
) {
  create_ti_method_container(container_id = "dynverse/ti_scoup:v0.9.9.01")(
    ndim = ndim,
    max_ite1 = max_ite1,
    max_ite2 = max_ite2,
    alpha = alpha,
    t = t,
    sigma_squared = sigma_squared,
    thresh = thresh
  )
}

