######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title SCUBA
#' 
#' @description
#' Will generate a trajectory using
#' [SCUBA](https://doi.org/10.1073/pnas.1408993111).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_scuba).
#' The original code of this method is available
#' [here](https://github.com/gcyuan/SCUBA).
#' 
#' @references Marco, E., Karp, R.L., Guo, G., Robson, P., Hart, A.H., Trippa, L.,
#' Yuan, G.-C., 2014. Bifurcation analysis of single-cell gene expression data
#' reveals epigenetic landscape. Proceedings of the National Academy of Sciences
#' 111, E5643–E5650.
#' 
#' @param rigorous_gap_stats Whether to use rigorous gap statistics to determine
#' number of clusters. Default: TRUE. Format: logical.
#' @param N_dim Number of TSNE dimensions. Domain: U(2, 3). Default: 2. Format:
#' integer.
#' @param low_gene_threshold Threshold value for genes of low expression levels.
#' Domain: U(0, 5). Default: 1. Format: numeric.
#' @param low_gene_fraction_max Maximum fraction of lowly-expressed cells allowed
#' for each gene. Domain: U(0, 1). Default: 0.7. Format: numeric.
#' @param min_split Lower threshold on the number of cells in a cluster for this
#' cluster to be split. Domain: U(1, 100). Default: 15. Format: integer.
#' @param min_percentage_split Minimum fraction of cells in the smaller cluster
#' during a bifurcation. Domain: U(0, 1). Default: 0.25. Format: numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_scuba <- function(
    rigorous_gap_stats = TRUE,
    N_dim = 2L,
    low_gene_threshold = 1L,
    low_gene_fraction_max = 0.7,
    min_split = 15L,
    min_percentage_split = 0.25
) {
  create_ti_method_container(container_id = "dynverse/ti_scuba:v0.9.9.01")(
    rigorous_gap_stats = rigorous_gap_stats,
    N_dim = N_dim,
    low_gene_threshold = low_gene_threshold,
    low_gene_fraction_max = low_gene_fraction_max,
    min_split = min_split,
    min_percentage_split = min_percentage_split
  )
}

