######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title STEMNET
#' 
#' @description
#' Will generate a trajectory using [STEMNET](https://doi.org/10.1038/ncb3493).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_stemnet).
#' The original code of this method is available
#' [here](https://git.embl.de/velten/STEMNET).
#' 
#' @references Velten, L., Haas, S.F., Raffel, S., Blaszkiewicz, S., Islam, S.,
#' Hennig, B.P., Hirche, C., Lutz, C., Buss, E.C., Nowak, D., Boch, T., Hofmann,
#' W.-K., Ho, A.D., Huber, W., Trumpp, A., Essers, M.A.G., Steinmetz, L.M., 2017.
#' Human haematopoietic stem cell lineage commitment is a continuous process.
#' Nature Cell Biology 19, 271–281.
#' 
#' @param alpha The elastic net mixing parameter of the ‘glmnet’ classifier.
#' Domain: e^U(-6.91, 2.30). Default: 0.1. Format: numeric.
#' @param lambda_auto Whether to select the lambda by cross-validation. Default:
#' TRUE. Format: logical.
#' @param lambda The lambda penalty of GLM. Domain: e^U(-3.00, 0.00). Default:
#' 0.1. Format: numeric.
#' @param force Do not use! This is a parameter to force STEMNET to run on
#' benchmark datasets where not enough end groups are present. Default: FALSE.
#' Format: logical.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_stemnet <- function(
    alpha = 0.1,
    lambda_auto = TRUE,
    lambda = 0.1,
    force = FALSE
) {
  create_ti_method_container(container_id = "dynverse/ti_stemnet:v0.9.9.01")(
    alpha = alpha,
    lambda_auto = lambda_auto,
    lambda = lambda,
    force = force
  )
}

