######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title topslam
#' 
#' @description
#' Will generate a trajectory using [topslam](https://doi.org/10.1101/057778).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_topslam).
#' The original code of this method is available
#' [here](https://github.com/mzwiessele/topslam).
#' 
#' @references Zwiessele, M., Lawrence, N.D., 2016. Topslam: Waddington Landscape
#' Recovery for Single Cell Experiments.
#' 
#' @param n_components The number of components. Domain: U(2, 10). Default: 2.
#' Format: integer.
#' @param n_neighbors The number of neighbors. Domain: U(2, 100). Default: 10.
#' Format: integer.
#' @param linear_dims . Domain: U(0, 5). Default: 0. Format: integer.
#' @param max_iters The number of iterations to optimize over. Domain: e^U(2.30,
#' 9.21). Default: 1000. Format: integer.
#' @param dimreds Which dimensionality reductions to use and/or ICA. Domain: all
#' subsets of {t-SNE, PCA, Spectral, Isomap, ICA}. Default: {t-SNE, PCA, Spectral,
#' Isomap, ICA}. Format: subset.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_topslam <- function(
    n_components = 2L,
    n_neighbors = 10L,
    linear_dims = 0L,
    max_iters = 1000L,
    dimreds = c("t-SNE", "PCA", "Spectral", "Isomap", "ICA")
) {
  create_ti_method_container(container_id = "dynverse/ti_topslam:v0.9.9.01")(
    n_components = n_components,
    n_neighbors = n_neighbors,
    linear_dims = linear_dims,
    max_iters = max_iters,
    dimreds = dimreds
  )
}

