######################################### DO NOT EDIT! #########################################
#### This file is automatically generated from data-raw/2-generate_r_code_from_containers.R ####
################################################################################################

#' @title Wishbone
#' 
#' @description
#' Will generate a trajectory using [Wishbone](https://doi.org/10.1038/nbt.3569).
#' 
#' This method was wrapped inside a
#' [container](https://github.com/dynverse/ti_wishbone).
#' The original code of this method is available
#' [here](https://github.com/ManuSetty/wishbone).
#' 
#' @references Setty, M., Tadmor, M.D., Reich-Zeliger, S., Angel, O., Salame,
#' T.M., Kathail, P., Choi, K., Bendall, S., Friedman, N., Pe’er, D., 2016.
#' Wishbone identifies bifurcating developmental trajectories from single-cell
#' data. Nature Biotechnology 34, 637–645.
#' 
#' @param normalise . Default: TRUE. Format: logical.
#' @param knn K-nearest neighbours for diffusion. Domain: U(15, 100). Default: 25.
#' Format: integer.
#' @param n_diffusion_components Number of diffusion components. Domain: U(3, 20).
#' Default: 3. Format: integer.
#' @param n_pca_components Number of pca components. Domain: U(15, 100). Default:
#' 30. Format: integer.
#' @param k K parameter. Domain: U(15, 100). Default: 25. Format: integer.
#' @param num_waypoints Number of waypoints. Domain: U(100, 500). Default: 250.
#' Format: integer.
#' @param epsilon Epsilon. Domain: U(0.1, 5). Default: 1. Format: numeric.
#' 
#' @keywords method
#' 
#' @return A TI method wrapper to be used together with
#' \code{\link[dynwrap:infer_trajectories]{infer_trajectory}}
#' @export
ti_wishbone <- function(
    normalise = TRUE,
    knn = 25L,
    n_diffusion_components = 3L,
    n_pca_components = 30L,
    k = 25L,
    num_waypoints = 250L,
    epsilon = 1L
) {
  create_ti_method_container(container_id = "dynverse/ti_wishbone:v0.9.9.01")(
    normalise = normalise,
    knn = knn,
    n_diffusion_components = n_diffusion_components,
    n_pca_components = n_pca_components,
    k = k,
    num_waypoints = num_waypoints,
    epsilon = epsilon
  )
}

